scikit-learn-0.18.2-XXXXXX.tar.bz2 packages have error [Sovled]

scikit-learn-0.18.2-XXXXXX.tar.bz2 packages have error [Sovled]

Hello, 

    I have gotten scikit-learn-0.18.2-np113py27_intel_3.tar.bz2 or scikit-learn-0.18.2-np113py36_intel_3.tar.bz2 from https://anaconda.org/intel/scikit-learn/files  , but I find a error when I use it, whichever py27 or py36 package.

Below following is py27, about py36 has similar result: 

$ ./bin/python
Python 2.7.13 (default, Jul 20 2015, 09:46:38) 
>>> import sklearn 
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/test/test/py27/lib/python2.7/site-packages/sklearn/__init__.py", line 73, in <module>
    from .daal4sklearn import dispatcher
  File "/home/test/test/py27/lib/python2.7/site-packages/sklearn/daal4sklearn/dispatcher.py", line 9, in <module>
    from .k_means import fit as kmeans_fit
  File "/home/test/test/py27/lib/python2.7/site-packages/sklearn/daal4sklearn/k_means.py", line 7, in <module>
    from .utils import getArrayFromNumericTable, make_csr_table, make_HomogenNumericTable
  File "/home/test/test/py27/lib/python2.7/site-packages/sklearn/daal4sklearn/utils.py", line 3, in <module>
    from daal.data_management import readOnly, NumericTableIface, BlockDescriptor, packed_mask
ImportError: No module named daal.data_management
>>> 

I see the https://anaconda.org/intel/scikit-learn/files scikit-learn packages' lable is test, so hope official developer update it . 

Best wishes,

yancy

3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Solved ,  must  install  pydaal  and tbb package from https://anaconda.org/intel/ 

$ ./bin/conda install https://anaconda.org/intel/pydaal/2018.0.0.20170719/download/linux-64/pydaal-2018.0.0.20170719-np113py36_intel_1.tar.bz2
$ ./bin/conda install https://anaconda.org/intel/tbb/2018.0.0/download/linux-64/tbb-2018.0.0-py36_intel_2.tar.bz2

 

Yancy,

Thank you for trying the Intel Distribution for Python.

Please be aware that the packages you installed are pre-release versions, taken from the "test" channel on the Anaconda Cloud (intel/label/test). We anticipate updated versions of some of these packages soon. It is not recommended that packages from the test channel be used for production purposes.

Todd

Leave a Comment

Please sign in to add a comment. Not a member? Join today